<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmResolveReason Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmResolveReason Enumeration

Visual Basic
C#
C++/CLI
Types of flags, which contain the reason for the function call, to pass to your implementation of IEdmCallback6::Resolve. Bitmask.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmResolveReason
       Inherits System.Enum

C# |
--- | ---

    public enum EdmResolveReason : System.Enum

C++/CLI |
--- | ---

    public enum class EdmResolveReason : public System.Enum

# Members

Member | Description
--- | ---
Edmrr_DstExists | 1 = Destination file name is already used in the folder
Edmrr_DstExistsGlobal | 64 = Destination file name is already used in the vault
Edmrr_FolderExists | 32 = Folder with the same name exists
Edmrr_LockedByYouHere | 2 = Destination (existing) file is checked out by the logged-in user
Edmrr_SameAsSource | 4 = Source file and the destination file are the same
Edmrr_SerialNumber | 16 = Source file contains serial number values
Edmrr_UniqueValues | 8 = Source file contains unique, constrained, variable values that must be cleared on copy

# See Also

####

EPDM.Interop.epdm Namespace